## net.i2p.data
Class Address

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.Address

All Implemented Interfaces:
  DataStructure

    public class Address

extends DataStructureImpl

???????? deprecated unused except by naming/FilesystemAddressDB, which is unused.

Constructor Summary
`Address()`

Method Summary
`boolean` `equals(Object obj)`
`Destination` `getDestination()`
`String` `getHostname()`
`int` `hashCode()`
`void` `readBytes(InputStream in)` Load up the current object with data from the given stream.
`void` `setDestination(Destination destination)`
`void` `setDestination(String base64)`
`void` `setHostname(String hostname)`
`String` `toString()`
`void` `writeBytes(OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getHostname

    public String getHostname()

### setHostname

    public void setHostname(String hostname)

### getDestination

    public Destination getDestination()

### setDestination

    public void setDestination(Destination destination)

### setDestination

    public void setDestination(String base64)

### readBytes

    public void readBytes(InputStream in)
                   throws DataFormatException,
                          IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `DataFormatException` - if the data is improperly formatted
    `IOException` - if there was a problem reading the stream

### writeBytes

    public void writeBytes(OutputStream out)
                    throws DataFormatException,
                           IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `DataFormatException` - if the data was incomplete or not yet ready to be written
    `IOException` - if there was a problem writing to the stream

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`